import zingu_apis
api = zingu_apis.api("semanticscholar")
result = api.fetch("graph/v1/author/{authorId}", fields="name,hIndex,citationCount,papers")
for item in result:
print(item)
const resp = await fetch("https://api.semanticscholar.org/graph/v1/author/1742341?fields=name%2ChIndex%2CcitationCount%2Cpapers");
const data = await resp.json();
Get author with minimal fieldscurl
curl 'https://api.semanticscholar.org/graph/v1/author/1796163?fields=name%2Caffiliations' \
-d '{"error": "Author with id 1796163 not found"}'
import requests
resp = requests.get(
"https://api.semanticscholar.org/graph/v1/author/1796163",
params={
'fields': 'name,affiliations',
},
json={
'error': 'Author with id 1796163 not found',
},
)
data = resp.json()
import zingu_apis
api = zingu_apis.api("semanticscholar")
result = api.fetch("graph/v1/author/{authorId}", fields="name,affiliations")
for item in result:
print(item)
const body = {
"error": "Author with id 1796163 not found"
};
const resp = await fetch("https://api.semanticscholar.org/graph/v1/author/1796163?fields=name%2Caffiliations", {
body: JSON.stringify(body),
});
const data = await resp.json();